<!-- Search component for searching educations -->
<div class="search-form">
  <form class="">
    <div class="search-fields-row" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap.gt-md="30px" fxLayoutAlign="start stretch">
      <mat-form-field appearance="outline" fxFlex="31">
        <mat-label>Fritextsök</mat-label>
        <input matInput placeholder=""
               [formControl]="freeTextSearchCtrl"
               id="freeTextSearchInput"
               autocomplete="off">
        <mat-icon matIconSuffix>search</mat-icon>
      </mat-form-field>
      <button mat-raised-button class="search-button btn-primary-education" fxFlex="15"
              (click)="search()">Sök
      </button>
    </div>
    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap.gt-md="20px" fxLayoutAlign="start center" class="label">
      Filter:
    </div>
    <div class="search-fields-row" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap.gt-md="10px" fxLayoutAlign="start center">
      <mat-form-field appearance="outline" color="primary"
      >
        <mat-label>Välj utbildningstyp</mat-label>
        <mat-select [(value)]="selectedEducationType" (selectionChange)="search()" multiple>
          <mat-option *ngFor="let educationType of educationTypes" [value]="educationType.key">
            {{educationType.value}}
          </mat-option>
        </mat-select>
      </mat-form-field>


      <mat-form-field appearance="outline" color="primary"
                      >
        <mat-label>Välj utbildningsform
        </mat-label>
          <mat-select [(value)]="selectedEducationForm" (selectionChange)="search()" multiple>
            <mat-option *ngFor="let educationForm of educationForms" [value]="educationForm.key">
              {{educationForm.value}}
            </mat-option>
          </mat-select>
      </mat-form-field>

      <mat-form-field appearance="outline" fxFlex="15">
        <mat-label>Geografisk plats</mat-label>
        <input type="text" matInput placeholder="Skriv kommun eller län här"
               id="geoSearchInput"
               [matAutocomplete]="auto1"
               [formControl]="geoCodeFilterCtrl">
        <mat-icon matIconSuffix>search</mat-icon>
        <mat-autocomplete autoActiveFirstOption #auto1="matAutocomplete" [displayWith]="displayFnGeo" (optionSelected)="search()">
          <mat-option *ngFor="let option of (filteredGeos | async)" [value]="option">
            {{ option.value }}
          </mat-option>

        </mat-autocomplete>
      </mat-form-field>

    </div>
    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap.gt-md="10px" fxLayoutAlign="start center">
      <mat-checkbox class="example-margin" fxFlex="15" [formControl]="distanceSearchCtrl" (change)="onChangeCheckBox($event)">Utbildningar på distans</mat-checkbox>
      <mat-checkbox *ngIf="appComponent.debug" class="example-margin" fxFlex="15" [formControl]="educationPlanExistsSearchCtrl" (change)="onChangeCheckBox($event)">Utbildningar med utbildningsplaner</mat-checkbox>
    </div>
  </form>
</div>

